Subject: bug#37390: 26.3; ediff-buffers appears to have a focus issue

From: Matthew Persico <[email-masked]>
Date: Tue, 17 Sep 2019 08:29:47 -0400

As for the bug description:

Start up ediff-buffers on two files with a few differences

In the ediff control frame, use the n and p commands to move around. You
should have no problems.

Now, take one diff and use the a or b key to pick one of the diffs to apply
to the other buffer.

Your cursor should now be in one of the text buffers. It has moved out of
the ediff control frame. If you refocus on the control frame and try to
navigate with n or p, the cursor will jump out to one of the text buffers.

On Tue, Sep 17, 2019 at 8:25 AM Matthew Persico <[email-masked]>
wrote:

> As for diagnosis, I’ll try to get to it by end of week. I have a task I
> absolutely have to finish this week. I am also currently on the train.  :-)
>
> I *can* tell you from here that I am connecting to my Linux vms via Exceed
> on Demand, an enterprise version of hummingbird exceed running on a windows
> laptop and the windows are free floating on the windows side. There’s no
> vm-side window manager.
>
> I did notice that my vm has different fonts after the rebuild so I am
> betting the culprit is probably the X software. But I have no record of the
> software versions before the rebuild, so I don’t know how useful that
> information will be.
>
> On Tue, Sep 17, 2019 at 8:19 AM Matthew Persico <[email-masked]>
> wrote:
>
>> Split window horizontally? Oh man I have to try that!
>>
>> On Tue, Sep 17, 2019 at 4:56 AM martin rudalics <[email-masked]> wrote:
>>
>>>  > For YEARS I've been using a separate frame for control. I'll just
>>> toggle
>>>  > that off. No issues with that in 26.2. I will try in 26.3. And now
>>> that I
>>>  > see it, why the heck would you want a separate frame? To have multiple
>>>  > diffs going at the same time?
>>>
>>> 'ediff-window-setup-function' has a misguided default value.  Luckily
>>> you can change it - the speedbar, for example, doesn't allow to do
>>> that.  I'm using 'ediff-setup-windows-plain' ever since together with
>>> 'ediff-split-window-function' set to 'split-window-horizontally'.
>>>
>>> martin
>>>
>> --
>> Matthew O. Persico
>>
> --
> Matthew O. Persico
>
-- 
Matthew O. Persico